Subject: bug#71241: closed (Re: [bug#71241] [PATCH] gnu: exim: Update to 4.97.1.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 24 Jun 2024 02:58:02 +0000

Your bug report

#71241: [PATCH] gnu: exim: Update to 4.97.1.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
71241: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=71241
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#71241] [PATCH] gnu: exim: Update to 4.97.1.
From: Maxim Cournoyer <[email-masked]>
To: Wilko Meyer <[email-masked]>
Cc: [email-masked]
Date: Sun, 23 Jun 2024 22:56:51 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Wilko Meyer <[email-masked]> writes:

> * gnu/packages/mail.scm (exim): Update to 4.97.1.
>   [inputs]: Add perl-file-fcntllock.
>   [arguments]: Add fix-perl-file-names phase.

Nitpick: no need for a hanging indent in the GNU ChangeLog style.

> Change-Id: Ide1ba09368c2b23fd8ab6d6cdae8887ccb7edbeb
> ---
> Hi Guix,
>
> Updated Exim to the newest version till date, 4.97.1. Newer exim
> versions seem to depend on perl-file-fcntllock so I added that to
> inputs; also I had to add a phase that fixes the PERL_COMMAND
> variable, to be able to build exim properly.

Sounds reasonable.  Applied.

-- 
Thanks,
Maxim

Subject: [PATCH] gnu: exim: Update to 4.97.1.
From: Wilko Meyer <[email-masked]>
To: [email-masked]
Cc: Wilko Meyer <[email-masked]>
Date: Tue, 28 May 2024 14:45:41 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/mail.scm (exim): Update to 4.97.1.
  [inputs]: Add perl-file-fcntllock.
  [arguments]: Add fix-perl-file-names phase.

Change-Id: Ide1ba09368c2b23fd8ab6d6cdae8887ccb7edbeb
---
Hi Guix,

Updated Exim to the newest version till date, 4.97.1. Newer exim
versions seem to depend on perl-file-fcntllock so I added that to
inputs; also I had to add a phase that fixes the PERL_COMMAND
variable, to be able to build exim properly.

Cheers!

 gnu/packages/mail.scm | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/mail.scm b/gnu/packages/mail.scm
index b15d891609..686fe7bf48 100644
--- a/gnu/packages/mail.scm
+++ b/gnu/packages/mail.scm
@@ -1949,7 +1949,7 @@ (define-public msmtp
 (define-public exim
   (package
     (name "exim")
-    (version "4.96.1")
+    (version "4.97.1")
     (source
      (origin
        (method url-fetch)
@@ -1963,7 +1963,7 @@ (define-public exim
                     (string-append "https://ftp.exim.org/pub/exim/exim4/old/"
                                    file-name))))
        (sha256
-        (base32 "0g83cxkq3znh5b3r2a3990qxysw7d2l71jwcxaxzvq8pqdahgb4k"))))
+        (base32 "1afzxyffjqm2xm5v6b731hbfm1fi4q35ja45a29kaycsa1bj0y5x"))))
     (build-system gnu-build-system)
     (arguments
      (list #:phases
@@ -2016,6 +2016,12 @@ (define-public exim
                    (substitute* "scripts/Configure-config.h"
                      (("\\| /bin/sh") "| sh"))
                    (patch-shebang "scripts/Configure-eximon")))
+               (add-before 'build 'fix-perl-file-names
+                 (lambda _
+                  (substitute* (list  "Local/Makefile"
+                                      "OS/Makefile-Default")
+                    (("PERL_COMMAND=/usr/bin/perl")
+                     (string-append "PERL_COMMAND=" #$perl "/bin/perl")))))
                (add-before 'build 'build-reproducibly
                  (lambda _
                    ;; The ‘compilation number’ increments on every build in the
@@ -2040,6 +2046,7 @@ (define-public exim
            libxaw
            libxt
            perl
+           perl-file-fcntllock
            xz))
     (home-page "https://www.exim.org/")
     (synopsis
-- 
2.41.0